
#
# File: StrCmp.sh
#
# Copyright 1995, by Hewlett-Packard Company
#
# The code in this file is from the book "Shell Programming
# Examples" by Bruce Blinn, published by Prentice Hall.
# This file may be copied free of charge for personal,
# non-commercial use provided that this notice appears in
# all copies of the file.  There is no warranty, either
# expressed or implied, supplied with this code.
#
# $B$3$N%U%!%$%k$N%3!<%I$O(JBruce Blinn$BCx!"(JPrentice Hall$B4)9T$N(J
# $B!V(JShell Programming Examples$B!W$K7G:\$5$l$F$$$?$b$N$G$9!#(J
# $B$3$N%U%!%$%k$O!"8D?M$H$7$F1DMx$rL\E*$H$;$:MxMQ$9$k8B$j!"(J
# $BL5=~$GJ#@=$7$F$+$^$$$^$;$s!#$=$N>l9g!"J#@=$N$9$Y$F$K(J
# $B$3$N@bL@J8$,4^$^$l$F$$$kI,MW$,$"$j$^$9!#$3$N%3!<%I$K(J
# $B4X$7$F$O!"L@<(E*$K$b0EL[E*$K$b$$$+$J$kJ]>Z$b9T$$$^$;$s!#(J
#

StrCmp() {
     #
     # $BL>>N(J
     #    StrCmp - 2$B$D$NJ8;zNs$rHf3S$9$k(J
     #
     # $B=q<0(J
     #    StrCmp string1 string2
     #
     # $B2r@b(J
     #    2$B$D$NJ8;zNs$rHf3S$7!"(J3$B$D$N7k2L$rJV$94X?t!#(J
     #    $BA0<T$H8e<T$,Ey$7$1$l$P(J 0$B!"(J
     #    $BA0<T$NJ}$,8e<T$h$j>.$5$1$l$P(J -1$B!"(J
     #    $BA0<T$NJ}$,8e<T$h$jBg$-$1$l$P(J 1 $B$rJV$9!J=PNO$9$k!K!#(J
     #    
     #    $BHf3S$O<-=qE*$K9T$&!#?tCM(J $B!c(J $BBgJ8;z(J $B!c(J $B>.J8;z(J $B$,4pK\$@$,(J
     #    12 $B$H(J 2 $B$G$O(J 12 $B$NJ}$,>.$5$$$3$H$K$J$k!#(J
     #
     #    $B7k2L$OI8=`=PNO$K=q$-=P$7!"=*N;%3!<%I$K%;%C%H$9$k$b$N$G$O$J$$!#(J
     #
     if [ $# -ne 2 ]; then
          echo "Usage: StrCmp string1 string2" 1>&2
          exit 1
     fi
     
     if [ "$1" = "$2" ]; then
          echo "0"
     else
          _TMP=`{ echo "$1"; echo "$2"; } | sort | sed -n '1p'`

          if [ "$_TMP" = "$1" ]; then
               echo "-1"
          else
               echo "1"
          fi
     fi
}
