
#
# File: IsNumeric.sh
#
# Copyright 1995, by Hewlett-Packard Company
#
# The code in this file is from the book "Shell Programming
# Examples" by Bruce Blinn, published by Prentice Hall.
# This file may be copied free of charge for personal,
# non-commercial use provided that this notice appears in
# all copies of the file.  There is no warranty, either
# expressed or implied, supplied with this code.
#
# $B$3$N%U%!%$%k$N%3!<%I$O(JBruce Blinn$BCx!"(JPrentice Hall$B4)9T$N(J
# $B!V(JShell Programming Examples$B!W$K7G:\$5$l$F$$$?$b$N$G$9!#(J
# $B$3$N%U%!%$%k$O!"8D?M$H$7$F1DMx$rL\E*$H$;$:MxMQ$9$k8B$j!"(J
# $BL5=~$GJ#@=$7$F$+$^$$$^$;$s!#$=$N>l9g!"J#@=$N$9$Y$F$K(J
# $B$3$N@bL@J8$,4^$^$l$F$$$kI,MW$,$"$j$^$9!#$3$N%3!<%I$K(J
# $B4X$7$F$O!"L@<(E*$K$b0EL[E*$K$b$$$+$J$kJ]>Z$b9T$$$^$;$s!#(J
#

IsNumeric() {
     #
     # $BL>>N(J
     #    IsNumeric - $BJ8;zNs$,?tCM$+$I$&$+$rH=Dj$9$k(J
     #
     # $B=q<0(J
     #    IsNumeric string
     #
     # $B2r@b(J
     #    $B;XDj$7$?J8;zNs$,$9$Y$F?tCM$G9=@.$5$l$F$$$l$P??!J#0!K$rJV$9!#(J
     #    $B2?$+?tCM0J30$NJ8;z$,4^$^$l$F$$$?>l9g$K$O56!J#1!K$rJV$9!#(J
     #    
     if [ $# -ne 1 ]; then
          return 1
     fi

     expr "$1" + 1 >/dev/null 2>&1
     if [ $? -ge 2 ]; then
          return 1
     fi

     return 0
}
